import javax.swing.*;
import java.awt.*;

class Verkeerslicht
{
	private boolean rood;
	private boolean oranje;
	private boolean groen;
	
	public Verkeerslicht()
	{
		rood = false;
		oranje = false;
		groen = false;
	}

	public void setRood()
	{
		rood = true;
		oranje = false;
		groen = false;
	}

	public void setOranje()
	{
		rood = false;
		oranje = true;
		groen = false;
	}

	public void setGroen()
	{
		rood = false;
		oranje = false;
		groen = true;
	}

	public boolean getRood()
	{
		return rood;
	}

	public boolean getOranje()
	{
		return oranje;
	}

	public boolean getGroen()
	{
		return groen;
	}
}

public class H11_Oefening3 extends JApplet
{
	private Verkeerslicht verkeerslicht;
	
	public void init()
	{
		String kleur = JOptionPane.showInputDialog("Geef kleur(rood, groen of oragne)");
		verkeerslicht = new Verkeerslicht();
		
		if (kleur.equalsIgnoreCase("rood"))
			verkeerslicht.setRood();
		if (kleur.equalsIgnoreCase("oranje"))
			verkeerslicht.setOranje();
		if (kleur.equalsIgnoreCase("groen"))
			verkeerslicht.setGroen();
	}
	
	public void paint(Graphics g)
	{
		super.paint(g);
		
		g.setColor(Color.gray);
		g.fillRect(170,50,60,160);
		g.fillRect(195,210,10,120);
		
		g.setColor(Color.black);
		g.drawOval(180,60,40,40);
		g.drawOval(180,110,40,40);
		g.drawOval(180,160,40,40);
		
		if (verkeerslicht.getRood())
		{
			g.setColor(Color.red);
			g.fillOval(180,60,40,40);
		} else if (verkeerslicht.getOranje())
		{
			g.setColor(Color.orange);
			g.fillOval(180,110,40,40);
		} else if (verkeerslicht.getGroen())
		{
			g.setColor(Color.green);
			g.fillOval(180,160,40,40);
		}
	}
}